PCLViewer Class Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/doc/tutorials/content/sources/qt_colorize_cloud/pclviewer.h>`

Inheritance diagram for PCLViewer:

## Public Slots

void | saveFileButtonPressed ()
| Triggered whenever the "Save file" button is clicked. More...
void | loadFileButtonPressed ()
| Triggered whenever the "Load file" button is clicked. More...
void | axisChosen ()
| Triggered whenever a button in the "Color on axis" group is clicked. More...
void | lookUpTableChosen ()
| Triggered whenever a button in the "Color mode" group is clicked. More...
void | randomButtonPressed ()
void | RGBsliderReleased ()
void | pSliderValueChanged (int value)
void | redSliderValueChanged (int value)
void | greenSliderValueChanged (int value)
void | blueSliderValueChanged (int value)

## Public Member Functions

| PCLViewer (QWidget *parent=0)
| Constructor. More...
| ~PCLViewer ()
| Destructor. More...
| PCLViewer (QWidget *parent=0)
| ~PCLViewer ()

## Protected Member Functions

void | colorCloudDistances ()
| Color point cloud on X,Y or Z axis using a Look-Up Table (LUT) Computes a LUT and color the cloud accordingly, available color palettes are : More...

## Protected Attributes

boost::shared_ptr< pcl::visualization::PCLVisualizer > | viewer_
| The PCL visualizer object. More...
PointCloudT::Ptr | cloud_
| The point cloud displayed. More...
int | filtering_axis_
| 0 = x | 1 = y | 2 = z More...
int | color_mode_
| Holds the color mode for colorCloudDistances. More...
boost::shared_ptr< pcl::visualization::PCLVisualizer > | viewer
PointCloudT::Ptr | cloud
unsigned int | red
unsigned int | green
unsigned int | blue

## Detailed Description

Definition at line 30 of file pclviewer.h.

## Constructor & Destructor Documentation

## PCLViewer() [1/2]

PCLViewer::PCLViewer | ( | QWidget * | parent = `0` | ) |

explicit

Constructor.

## ~PCLViewer() [1/2]

PCLViewer::~PCLViewer | ( |  | ) |

Destructor.

## PCLViewer() [2/2]

PCLViewer::PCLViewer | ( | QWidget * | parent = `0` | ) |

explicit

## ~PCLViewer() [2/2]

PCLViewer::~PCLViewer | ( |  | ) |

## Member Function Documentation

## axisChosen

void PCLViewer::axisChosen | ( |  | ) |

slot

Triggered whenever a button in the "Color on axis" group is clicked.

## blueSliderValueChanged

void PCLViewer::blueSliderValueChanged | ( | int | value | ) |

slot

## colorCloudDistances()

void PCLViewer::colorCloudDistances | ( |  | ) |

protected

Color point cloud on X,Y or Z axis using a Look-Up Table (LUT) Computes a LUT and color the cloud accordingly, available color palettes are :

Values are on a scale from 0 to 255: 0. Blue (= 0) -> Red (= 255), this is the default value

1. Green (= 0) -> Magenta (= 255)
2. White (= 0) -> Red (= 255)
3. Grey (< 128) / Red (> 128)
4. Blue -> Green -> Red (~ rainbow)

Warning
  If there's an outlier in the data the color may seem uniform because of this outlier!

Note
  A boost rounding exception error will be thrown if used with a non dense point cloud

## greenSliderValueChanged

void PCLViewer::greenSliderValueChanged | ( | int | value | ) |

slot

## loadFileButtonPressed

void PCLViewer::loadFileButtonPressed | ( |  | ) |

slot

Triggered whenever the "Load file" button is clicked.

## lookUpTableChosen

void PCLViewer::lookUpTableChosen | ( |  | ) |

slot

Triggered whenever a button in the "Color mode" group is clicked.

## pSliderValueChanged

void PCLViewer::pSliderValueChanged | ( | int | value | ) |

slot

## randomButtonPressed

void PCLViewer::randomButtonPressed | ( |  | ) |

slot

## redSliderValueChanged

void PCLViewer::redSliderValueChanged | ( | int | value | ) |

slot

## RGBsliderReleased

void PCLViewer::RGBsliderReleased | ( |  | ) |

slot

## saveFileButtonPressed

void PCLViewer::saveFileButtonPressed | ( |  | ) |

slot

Triggered whenever the "Save file" button is clicked.

## Member Data Documentation

## blue

unsigned int PCLViewer::blue

protected

Definition at line 58 of file pclviewer.h.

## cloud

PointCloudT::Ptr PCLViewer::cloud

protected

Definition at line 54 of file pclviewer.h.

## cloud_

PointCloudT::Ptr PCLViewer::cloud_

protected

The point cloud displayed.

Definition at line 64 of file pclviewer.h.

## color_mode_

int PCLViewer::color_mode_

protected

Holds the color mode for colorCloudDistances.

Definition at line 70 of file pclviewer.h.

## filtering_axis_

int PCLViewer::filtering_axis_

protected

0 = x | 1 = y | 2 = z

Definition at line 67 of file pclviewer.h.

## green

unsigned int PCLViewer::green

protected

Definition at line 57 of file pclviewer.h.

## red

unsigned int PCLViewer::red

protected

Definition at line 56 of file pclviewer.h.

## viewer

boost::shared_ptr<pcl::visualization::PCLVisualizer> PCLViewer::viewer

protected

Definition at line 53 of file pclviewer.h.

## viewer_

boost::shared_ptr<pcl::visualization::PCLVisualizer> PCLViewer::viewer_

protected

The PCL visualizer object.

Definition at line 61 of file pclviewer.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/doc/tutorials/content/sources/qt_colorize_cloud/pclviewer.h